Package icyllis.arc3d.engine.trash.ops

# Class ClearOp

java.lang.Object
icyllis.arc3d.core.Rect2f
icyllis.arc3d.engine.trash.ops.Op
icyllis.arc3d.engine.trash.ops.ClearOp

All Implemented Interfaces:
  `Rect2fc`

@Deprecated public final class ClearOp extends Op
Deprecated.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.core.Rect2f

  `mBottom, mLeft, mRight, mTop`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Op`
  `makeColor(int left, int top, int right, int bottom, float red, float green, float blue, float alpha)`
  Deprecated.
  `static Op`
  `makeStencil(int left, int top, int right, int bottom, boolean insideMask)`
  Deprecated.
  `void`
  `onExecute(OpFlushState state, Rect2f chainBounds)`
  Deprecated.
  Issues the op chain's commands to `OpsRenderPass`.
  `void`
  `onPrepare(OpFlushState state, ImageProxyView writeView, int pipelineFlags)`
  Deprecated.
  Called prior to executing.
  `void`
  `onPrePrepare(RecordingContext context, ImageProxyView writeView, int pipelineFlags)`
  Deprecated.
  This can optionally be called before 'prepare' (but after sorting).

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.Op

  `chainConcat, chainSplit, hasAABloat, hasZeroArea, isChainHead, isChainTail, mayChain, nextInChain, onMayChain, prevInChain, setBoundsFlags, setClippedBounds, validateChain, visitProxies`

  ### Methods inherited from class icyllis.arc3d.core.Rect2f

  `adjust, adjust, adjust, bottom, centerX, centerY, contains, contains, contains, contains, empty, equals, halfHeight, halfWidth, hashCode, height, inset, inset, inset, inset, intersect, intersect, intersect, intersect, intersectNoCheck, intersectNoCheck, intersectNoCheck, intersects, intersects, intersects, intersects, isEmpty, isFinite, isSorted, join, join, join, join, joinNoCheck, joinNoCheck, joinNoCheck, left, offset, offsetTo, outset, rectsOverlap, rectsTouchOrOverlap, right, round, round, roundIn, roundIn, roundOut, roundOut, set, set, set, setBounds, setBoundsNoCheck, setEmpty, sort, store, store, subtract, top, toString, width, x, y`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### makeColor

    @Nonnull public static Op makeColor(int left, int top, int right, int bottom, float red, float green, float blue, float alpha)
    Deprecated.

  - ### makeStencil

    @Nonnull public static Op makeStencil(int left, int top, int right, int bottom, boolean insideMask)
    Deprecated.

  - ### onPrePrepare

    public void onPrePrepare(RecordingContext context, ImageProxyView writeView, int pipelineFlags)
    Deprecated.
    Description copied from class: `Op`
    This can optionally be called before 'prepare' (but after sorting). Each op that overrides onPrePrepare must be prepared to handle both cases (when onPrePrepare has been called ahead of time and when it has not been called).
    Specified by:
      `onPrePrepare` in class `Op`

  - ### onPrepare

    public void onPrepare(OpFlushState state, ImageProxyView writeView, int pipelineFlags)
    Deprecated.
    Description copied from class: `Op`
    Called prior to executing. The op should perform any resource creation or data transfers necessary before execute() is called.
    Specified by:
      `onPrepare` in class `Op`

  - ### onExecute

    public void onExecute(OpFlushState state, Rect2f chainBounds)
    Deprecated.
    Description copied from class: `Op`
    Issues the op chain's commands to `OpsRenderPass`.
    Specified by:
      `onExecute` in class `Op`
    Parameters:
      `chainBounds` - If this op is chained then chainBounds is the union of the bounds of all ops in the chain. Otherwise, this op's bounds.